""" EASY POPUP DIALOG CREATION"""
#!/usr/bin/env python

import sys, config, util, uiutil
try:
     import pygtk
     pygtk.require("2.0")
except:
      pass
try:
    import gtk
    import gtk.glade
except:
    sys.exit(1)

class Popup:
        CANCEL= 1
        
        "Popup Dialog"

        def __init__(self, popupText, second_button= None, supressGconfKey= None, set=False, title= None, var=None):
            if title == None:
                title= popupText
                
            if second_button == "Suppress further warnings":
                self.gladefile=config.DIR_UI+"/supress.glade"
                self.gconfkey= supressGconfKey
                self.setSuid= set
            else:    
                self.gladefile=config.DIR_UI+"/popup.glade" 
            
            self.wtree=gtk.glade.XML(self.gladefile)
            self.window = self.wtree.get_widget("dialog1") 
            self.window.set_icon_from_file(uiutil.ICON_PATH)
            dic = { "on_okbutton1_clicked": self.on_okbutton1_clicked }
            self.wtree.signal_autoconnect(dic)   
            self.window.set_title(title)
            self.wtree.get_widget('label1').set_text(popupText)
            self.wtree.get_widget('label1').show()
            
                
            if second_button== "Suppress further warnings":
                self.wtree.get_widget('okbutton1').set_label("OK")
                self.wtree.get_widget('supress').set_label(second_button)
                dic2 = { "on_supress_toggled" : self.on_supress_toggled,
                         "on_button2_clicked" : self.editsudoers                       
                        }
                self.wtree.signal_autoconnect(dic2)
                
            elif second_button== Popup.CANCEL:
                self.wcancel = self.wtree.get_widget('cancel')
                self.wcancel.show()
                dic2 = { "on_cancel_clicked" : self.on_cancel_clicked
                        }
                self.wtree.signal_autoconnect(dic2)
            
        def editsudoers(self, w):
            util.fix_suid_43a(True)
            self.window.destroy()
            
        def on_supress_toggled(self, w):
            conf= config.Config()
            conf.set(self.gconfkey,w.get_active() )
        
        def on_okbutton1_clicked(self, *ignored):
            self.window.destroy()

        
        def on_cancel_clicked(self, *ignored):
            self.window.destroy()
            self.exit= False
            return False
        
        def run(self):
            status = self.window.run()
            self.window.destroy()
            return status
            "Displays the dialog"
        
if __name__ == "__main__":
    hwg = Popup("hello")
    gtk.main()