#include "Python.h"

PyObject *zero_out(PyObject *self, PyObject *args) {

  char *python_string;
  int   string_length;
  int   string_idx;

  if (!PyArg_ParseTuple(args,"s#", &python_string, &string_length)) {
    return NULL;
  }

  for (string_idx = 0; string_idx < string_length; string_idx++) {
    python_string[string_idx] = '\0';
  }

  Py_INCREF(Py_None);
  return Py_None;

}

static PyMethodDef zero_outMethods[] = {
  {"zero_out", zero_out, METH_VARARGS},
  {NULL, NULL}

};

void initzero_out() {

  (void)Py_InitModule("zero_out", zero_outMethods);

} 
