#!/usr/bin/env python
import pygtk
pygtk.require('2.0')

import gtk, create_volume, mount


class MainWindow:
    "Main Window" 
    def __init__(self):
        self.gladefile="truecrypt.glade" 
        self.wTree=gtk.glade.XML(self.gladefile)
        self.window = self.wTree.get_widget("MainWindow")
        dic = {"on_window1_destroy" : self.on_window1_destroy,
               "on_create_clicked" : self.on_create_clicked,
               "on_filechooserwidget1_file_activated" : self.on_file_activated,
               "on_filechooserbutton2_file_activated" : self.on_dir_activated,
               "on_button17_clicked" : self.dismount_all
               }
        self.wTree.signal_autoconnect(dic)    

    def run(self):
        "Displays the dialog"
        self.show_all()
        
    def on_create_clicked(self, event):
        vol_diag= create_volume.Create_Volume()
    
    def on_file_activated(self, widget):
        print "this file"+widget.get_filename()
        
    def on_dir_activated(self, widget):
        print "this dir"+widget.get_filename()
        
    def on_window1_destroy(self, *ignored):
        self.window.destroy()
        
    def dismount_all(self, w):
        mount.Mount().dismount_all()
        
if __name__ == "__main__":
    hwg = MainWindow()
    gtk.main()
