import re, commands, sys, gtk, popup, util

class Mount:
    "Mount Functions"
    
    password= None
    mount_path= None
    device= None
    DEBUG= True
    
    def dismount_all(self):
        "dismounting all"
        output= commands.getoutput("truecrypt -dv")
        if self.DEBUG: print output
        if re.compile(".*truecrypt: Kernel module not loaded.*").match(output):
            if self.DEBUG: print "not loaded"
            popup.Popup("truecrypt module not loaded")
            
        elif re.compile(".*truecrypt: No volumes mapped.*").match(output):
            if self.DEBUG: print "no volumes mounted"
            popup.Popup("no volumes mounted")
        else:  
            "truecrypt just returns if the volume was successfully mounted"
            if self.DEBUG: print "Voume mapped successfully"
            popup.Popup("Truecrypt volume successfully mounted")
    
    def mount(self):
        self.gladefile="truecrypt.glade" 
        self.wTree=gtk.glade.XML(self.gladefile)
        self.window = self.wTree.get_widget("MainWindow")
        dic = {"on_entry3_editing_done" : self.on_edit_password,
               "on_entry2_editing_done" : self.on_edit_mount_path,
               "on_entry1_editing_done" : self.on_edit_device,
               "on_button1_clicked"     : self.on_ok_clicked,
               
               }
        self.wTree.signal_autoconnect(dic)
        
        self.show_all()

    def on_edit_password(self):
        text= self.wTree.get_widget('entry1').get_text()
        if self.DEBUG: print text
        
    def on_edit_mount_path(self):
        if self.DEBUG: print "hello"
    def on_edit_device(self):
        if self.DEBUG: print "hello"
    def on_ok_clicked(self):
        if self.DEBUG: print "hello"

if __name__ == "__main__":
    hwg = Mount().mount()
    gtk.main()